package stackjava.com.hibernatecriteria;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.cfg.Configuration;
import org.hibernate.criterion.Restrictions;

import stackjava.com.hibernatecriteria.entities.Customer;

public class DemoCriteria {
	public static void main(String[] args) {
		List<Customer> listCustomer = search("h", "a", null);
		for (Customer customer: listCustomer) {
			System.out.println(customer);
		}
	}
	
	
	@SuppressWarnings("unchecked")
	public static List<Customer> search(String name, String address, String description) {
		SessionFactory sessionFactory = new Configuration().configure().buildSessionFactory();
		Session session = sessionFactory.openSession();
		Criteria criteria = session.createCriteria(Customer.class);
		if (name != null) {
			criteria.add(Restrictions.like("name", "%"+name+"%"));
		}
		if (address != null) {
			criteria.add(Restrictions.like("address", "%"+address+"%"));
		}
		if (description != null) {
			criteria.add(Restrictions.like("description", "%"+description+"%"));
		}
		
		
		List<Customer> result = criteria.list();
		session.close();
		sessionFactory.close();
		return result;
	}
}
