package stackjava.com.hibernatecriteria.entities;

import java.text.SimpleDateFormat;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "customer")
public class Customer {
	@Id
	@Column(name = "id")
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private int id;

	@Column(name = "name")
	private String name;

	@Column(name = "address")
	private String address;
	@Column(name = "date_of_birth")
	private Date dateOfBirth;
	@Column(name = "description")
	private String description;

	public Customer() {
	}

	public Customer(String name, String address) {
		this.name = name;
		this.address = address;
	}

	public Customer(String name, String address, Date dateOfBirth, String description) {
		this.name = name;
		this.address = address;
		this.dateOfBirth = dateOfBirth;
		this.description = description;
	}

	public int getId() {
		return id;
	}

	@Override
	public String toString() {
		SimpleDateFormat sdf = new SimpleDateFormat("YYYY/MM/dd");

		return "Customer [id=" + id + ", name=" + name + ", address=" + address + ", dateOfBirth=" + sdf.format(dateOfBirth)
				+ ", description=" + description + "]";
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public Date getDateOfBirth() {
		return dateOfBirth;
	}

	public void setDateOfBirth(Date dateOfBirth) {
		this.dateOfBirth = dateOfBirth;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

}